program GetUtcDateTimeString;
{$APPTYPE CONSOLE}

{
Revision history:

2004 Jan 27  New program
2005 Jul 06  Add parameter, floating point offset e.g. -1 for yesterday


Copyright  David J Taylor, Edinburgh
Web site:  www.satsignal.net
E-mail:    davidtaylor@writeme.com
}

uses
  Windows, SysUtils, Utils;

var
  t: TDateTime;
  offset: TDateTime;
begin
  t := NowUTC;
  if ParamCount > 0 then
    try
      offset := StrToFloat (ParamStr (1));
      t := t + offset;
    except
    end;
  writeln (FormatDateTime ('yyyy mm dd hh nn ss', t));
end.

{
Sample usage in a batch file:

-----------------------------
@ECHO OFF

REM  Sets the environment variables YY etc. to the UTC date/time

for /f "tokens=1-6 delims=/:. " %%i in ('GetUtcDateTimeString') do (
  set yy=%%i
  set mm=%%j
  set dd=%%k
  set hh=%%l
  set nn=%%m
  set ss=%%n
)

@ECHO ON

@ECHO %yy% %mm% %dd% %hh% %nn% %ss%
-----------------------------


}